/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/


/******** PÁGINA VIP **********/

/* Listado de socios */
.lista-asistentes-container,
.lista-asistentes {
    margin-top: 60px;
    overflow: auto;
    width: 100%;
    text-align: center;
}

.lista-asistentes-container th,
.lista-asistentes-container td {
    white-space: nowrap
}

#toggle-lista-asistentes,
.button.logout-button {
    border: 1px solid var(--accent);
    border-radius: 99px;
    padding: 5px 25px;
    margin-top: 40px;
}

#toggle-lista-asistentes {
    margin-top: 0px;
}

/* Formulario de login */
.vip-login {
    display: flex;
    flex-direction: column;
    text-align: left;
    border: 2px solid var(--accent);
    padding: 20px;
    border-radius: 5px;
}

.vip-login .login-username,
.vip-login .login-password {
    display: flex;
    flex-direction: column;
}
.vip-login .button {
    color: var(--base-2);
    background-color: var(--accent);
}

.tribe-link-view-attendee,
.tribe-tickets__rsvp-ar .tribe-tickets__rsvp-ar-sidebar-wrapper.tribe-common-g-col {
    display: none;
}

.tribe-common.event-tickets {
    width: 98%;
    justify-items: center;
}

.tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp .tribe-tickets__rsvp-actions-wrapper,
.event-tickets .tribe-tickets__rsvp .tribe-tickets__rsvp-actions {
    border: none;
    margin: 0;
}

.event-tickets .tribe-tickets__rsvp {
    justify-content: center;
}

.event-tickets .tribe-tickets__rsvp .tribe-tickets__rsvp-actions .tribe-common-c-btn {
    max-width: initial;
}

.tribe-tickets__rsvp .tribe-tickets__rsvp-details-wrapper.tribe-common-g-col {
    display: none;
}

.site-main .event-tickets .tribe-tickets__rsvp-wrapper,
.site-main .event-tickets .tribe-tickets__rsvp-ar-form-wrapper {
    background-color: var(--contrast);
    color: var(--contrast-3);
    border: 1px solid var(--accent);
    flex-grow: 1;
}

.tribe-tickets__form .tribe-tickets__form-field-description a {
    color: var(--base);
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__form label,
.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__form .tribe-tickets__form-field-label,
.tribe-common .tribe-tickets__rsvp-wrapper .tribe-common-b3 {
    color: var(--contrast-3);
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__form input,
.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__form select {
    background-color: var(--contrast-3);
    border: none;
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp-form-button--cancel {
    color: var(--accent);
    border: 1px solid var(--accent);
    padding: 9px;
    border-radius: 5px;
}

.tribe-common .tribe-tickets__rsvp-wrapper button.tribe-common-c-btn {
    background-color: var(--accent);
    width: 60%;
    margin-top: 40px;
    margin-bottom: 40px;
}

.tribe-tickets__rsvp-actions-wrapper {
    flex-grow: 1!important;
}

.tribe-tickets__rsvp-actions-success-going {
    flex-direction: column;
    row-gap: 40px;
    margin-bottom: 40px!important;
}

.tribe-tickets__rsvp-actions-success-going-text .boton-ir-inicio {
    background-color: var(--accent)!important;
    color: var(--base-2)!important;
    padding: 15px 40px;
    border-radius: 5px;
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp {
    padding: 10px
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp-attendees-wrapper {
    display: none;
}

svg.tribe-tickets__rsvp-message--success-icon {
    display: none!important;
}

.event-tickets .tribe-tickets__rsvp-wrapper .tribe-tickets__rsvp-message {
    color: var(--contrast-3);
    background-color: initial;
    font-size: 20px;
    margin: 20px 20px 0 20px;
}
